> For the complete documentation index, see [llms.txt](https://docs.edgetag.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.edgetag.io/api/getting-started/implementation.md).

# Implementation

Customers in EdgeTag go through 4 steps:

* [Adding a website](https://docs.edgetag.io/api/getting-started/implementation/website.md)
* [Setting up DNS records](https://docs.edgetag.io/api/getting-started/implementation/dns.md)
* [Enabling consent](https://docs.edgetag.io/api/getting-started/implementation/consent.md)
* [Adding channel](https://docs.edgetag.io/api/getting-started/implementation/channel.md)

Completing all five steps enables you to get up and running on the EdgeTag platform, but this is just the beginning. We have many more exciting features to explore on our use cases pages.  After you have completed the API setup, it's essential to add a snippet to the website that will start collecting signals.

But let's do the basics first. Let's add your first website.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.edgetag.io/api/getting-started/implementation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
